# $Revision: 1.26 $, $Date: 2006/09/27 10:34:04 $
Summary:	A program to extract Microsoft Cabinet files
Summary(pl):	Program do rozpakowywania plikw MS Cabinet
Name:		cabextract
Version:	1.2
Release:	1
License:	GPL
Group:		Applications/Archiving
Source0:	http://www.kyz.uklinux.net/downloads/%{name}-%{version}.tar.gz
# Source0-md5:	dc421a690648b503265c82ade84e143e
Patch0:		%{name}-libmspack.patch
URL:		http://www.kyz.uklinux.net/cabextract.php
BuildRequires:	autoconf >= 2.57
BuildRequires:	automake
BuildRequires:	libmspack-devel >= 0.0.20060920alpha
Requires:	libmspack >= 0.0.20060920alpha
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Cabinet (.CAB) files are a form of archive, which Microsoft use to
distribute their software, and things like Windows Font Packs. The
cabextract program simply unpacks such files.

%description -l pl
Pliki Cabinet (.CAB) s rodzajem archiwum, ktry Microsoft uywa do
dystrybucji swojego oprogramowania i rzeczy typu Windows Font Pack.
cabextract moe takie pliki rozpakowa.

%prep
%setup -q
%patch0 -p1
rm -rf mspack

%build
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -D doc/ja/cabextract.1 $RPM_BUILD_ROOT%{_mandir}/ja/man1/cabextract.1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README TODO
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man1/*
%lang(ja) %{_mandir}/ja/man1/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: cabextract.spec,v $
Revision 1.26  2006/09/27 10:34:04  glen
- updated URL

Revision 1.25  2006/09/27 10:03:09  qboosh
- updated to 1.2, updated libmspack patch

Revision 1.24  2006/04/22 22:03:33  glen
- rel 5

Revision 1.23  2006/04/22 20:57:25  qboosh
- man install bugfix

Revision 1.22  2006/04/22 17:54:02  glen
- use system libmspack, rel 4

Revision 1.21  2006/04/22 17:44:28  glen
- add japanese manual, rel 3

Revision 1.20  2004/10/30 10:14:37  snurf
- rel++
- sec fix (http://securitytracker.com/alerts/2004/Oct/1011800.html)
- STBR for Ac

Revision 1.19  2004/10/18 11:01:02  krolik
- up to 1.1

Revision 1.18  2004/08/18 18:54:16  averne
- rel 2

Revision 1.17  2004/08/18 18:52:32  averne
- refresh config.sub

Revision 1.16  2004/03/13 22:39:01  qboosh
- updated to 1.0, removed obsolete patches

Revision 1.15  2003/11/14 20:15:44  qboosh
- fixed configure patch for ac 2.58, run autoheader; release 3

Revision 1.13  2003/07/07 04:23:51  blues
- many small fixes, inspired by kloczek

Revision 1.12  2003/05/25 11:00:50  malekith
- massive attack, adding Source-md5

Revision 1.11  2003/05/25 05:46:07  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.10  2002/12/12 01:33:22  blues
- spelling fixes by Tomasz "Witek" Wittner <wittt_@poczta.onet.pl>

Revision 1.9  2002/10/09 13:14:18  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.8  2002/08/26 18:54:21  qboosh
- changed configure patch to The Right Way(tm)
- segv patch: kill SEGV on compression type change
- release 2

Revision 1.7  2002/08/25 20:23:09  marcus
- fixed for PLD ac/am stuff

Revision 1.6  2002/08/25 20:11:45  marcus
- use new %doc
- new version 0.6

Revision 1.5  2002/05/21 23:12:43  kloczek
- perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
     s/^autoconf/\%\{__autoconf\}/"

Revision 1.4  2002/04/25 15:56:42  arturs
- fixed a small typo

Revision 1.3  2002/02/22 23:28:44  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.2  2002/01/18 02:12:32  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.1  2001/09/21 13:30:46  qboosh
- new, based on spec from tar.gz
